> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /booking/hotels/search

> Search Booking.com properties in a destination with live prices and availability for a stay

**Price:** 5 credits per 25 results

**⚠️ Common errors:** 412: Destination not found



## OpenAPI

````yaml /openapi/travel-hospitality.json post /api/booking/hotels/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/booking/hotels/search:
    post:
      tags:
        - /booking
      summary: /booking/hotels/search
      description: >-
        Search Booking.com properties in a destination with live prices and
        availability for a stay


        **Price:** 5 credits per 25 results


        **⚠️ Common errors:** 412: Destination not found
      operationId: __api_booking_hotels_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BookingHotelsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BookingHotelCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BookingHotelsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        checkin:
          anyOf:
            - type: string
              format: date
            - type: 'null'
        checkout:
          anyOf:
            - type: string
              format: date
            - type: 'null'
        adults:
          type: integer
          maximum: 30
          minimum: 1
          default: 2
        children_ages:
          items:
            type: integer
          type: array
          maxItems: 10
          default: []
        rooms:
          type: integer
          maximum: 30
          minimum: 1
          default: 1
        currency:
          $ref: '#/components/schemas/BookingCurrency'
          default: USD
        language:
          $ref: '#/components/schemas/BookingLanguage'
          default: en-us
        count:
          type: integer
          minimum: 1
        destination:
          anyOf:
            - type: string
            - type: 'null'
        destination_id:
          anyOf:
            - type: integer
            - type: 'null'
        destination_type:
          anyOf:
            - $ref: '#/components/schemas/BookingDestinationType'
            - type: 'null'
        sort:
          anyOf:
            - $ref: '#/components/schemas/BookingSortOrder'
            - type: 'null'
        min_price_per_night:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        max_price_per_night:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        property_types:
          items:
            $ref: '#/components/schemas/BookingPropertyType'
          type: array
          default: []
        entire_homes_only:
          type: boolean
          default: false
        min_review_score:
          anyOf:
            - $ref: '#/components/schemas/BookingMinReviewScore'
            - type: 'null'
        star_ratings:
          items:
            $ref: '#/components/schemas/BookingStarRating'
          type: array
          default: []
        meal_plans:
          items:
            $ref: '#/components/schemas/BookingMealPlan'
          type: array
          default: []
        bed_types:
          items:
            $ref: '#/components/schemas/BookingBedType'
          type: array
          default: []
        travel_groups:
          items:
            $ref: '#/components/schemas/BookingTravelGroup'
          type: array
          default: []
        booking_policies:
          items:
            $ref: '#/components/schemas/BookingBookingPolicy'
          type: array
          default: []
        payment_options:
          items:
            $ref: '#/components/schemas/BookingPaymentOption'
          type: array
          default: []
        property_amenities:
          items:
            $ref: '#/components/schemas/BookingPropertyAmenity'
          type: array
          default: []
        room_amenities:
          items:
            $ref: '#/components/schemas/BookingRoomAmenity'
          type: array
          default: []
        activities:
          items:
            $ref: '#/components/schemas/BookingActivity'
          type: array
          default: []
        property_accessibility:
          items:
            $ref: '#/components/schemas/BookingPropertyAccessibility'
          type: array
          default: []
        room_accessibility:
          items:
            $ref: '#/components/schemas/BookingRoomAccessibility'
          type: array
          default: []
        available_only:
          type: boolean
          default: false
        sustainability_certified:
          type: boolean
          default: false
        highly_rated_breakfast:
          type: boolean
          default: false
        max_distance_from_center_meters:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        min_bedrooms:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        min_beds:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        min_bathrooms:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        district_ids:
          items:
            type: integer
          type: array
          default: []
        landmark_ids:
          items:
            type: integer
          type: array
          default: []
        brand_ids:
          items:
            type: integer
          type: array
          default: []
        city_ids:
          items:
            type: integer
          type: array
          default: []
        sub_destination_ids:
          items:
            type: integer
          type: array
          default: []
      type: object
      required:
        - count
    BookingHotelCard:
      properties:
        '@type':
          type: string
          default: BookingHotelCard
        id:
          type: integer
        alias:
          type: string
        country_code:
          type: string
        name:
          type: string
        url:
          type: string
        accommodation_type_id:
          anyOf:
            - type: integer
            - type: 'null'
        star_rating:
          anyOf:
            - type: number
            - type: 'null'
        star_rating_symbol:
          anyOf:
            - type: string
            - type: 'null'
        review:
          anyOf:
            - $ref: '#/components/schemas/BookingReviewScore'
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        destination_id:
          anyOf:
            - type: integer
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        display_location:
          anyOf:
            - type: string
            - type: 'null'
        district:
          anyOf:
            - type: string
            - type: 'null'
        distance_from_center:
          anyOf:
            - type: string
            - type: 'null'
        public_transport:
          anyOf:
            - type: string
            - type: 'null'
        beach_distance:
          anyOf:
            - type: string
            - type: 'null'
        is_centrally_located:
          anyOf:
            - type: boolean
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - $ref: '#/components/schemas/BookingPrice'
            - type: 'null'
        price_per_night:
          anyOf:
            - $ref: '#/components/schemas/BookingPrice'
            - type: 'null'
        price_before_discount:
          anyOf:
            - $ref: '#/components/schemas/BookingPrice'
            - type: 'null'
        excluded_charges:
          anyOf:
            - $ref: '#/components/schemas/BookingPrice'
            - type: 'null'
        room_id:
          anyOf:
            - type: integer
            - type: 'null'
        room_name:
          anyOf:
            - type: string
            - type: 'null'
        bedroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        bathroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        bed_count:
          anyOf:
            - type: integer
            - type: 'null'
        kitchen_count:
          anyOf:
            - type: integer
            - type: 'null'
        living_room_count:
          anyOf:
            - type: integer
            - type: 'null'
        area:
          anyOf:
            - type: number
            - type: 'null'
        area_unit:
          anyOf:
            - type: string
            - type: 'null'
        meal_plan:
          anyOf:
            - type: string
            - type: 'null'
        free_cancellation_until:
          anyOf:
            - type: string
            - type: 'null'
        availability_message:
          anyOf:
            - type: string
            - type: 'null'
        has_free_cancellation:
          anyOf:
            - type: boolean
            - type: 'null'
        has_no_prepayment:
          anyOf:
            - type: boolean
            - type: 'null'
        allows_pets_for_free:
          anyOf:
            - type: boolean
            - type: 'null'
        is_sustainable:
          anyOf:
            - type: boolean
            - type: 'null'
        sustainability_certifications:
          items:
            type: string
          type: array
          default: []
        host_trader_label:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - alias
        - country_code
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    BookingCurrency:
      type: string
      enum:
        - AED
        - AMD
        - ARS
        - AUD
        - AZN
        - BDT
        - BGN
        - BHD
        - BRL
        - BYN
        - CAD
        - CHF
        - CLP
        - CNY
        - COP
        - CZK
        - DKK
        - EGP
        - EUR
        - FJD
        - GBP
        - GEL
        - GHS
        - HKD
        - HUF
        - IDR
        - ILS
        - INR
        - ISK
        - JOD
        - JPY
        - KGS
        - KRW
        - KWD
        - KZT
        - LAK
        - LKR
        - MAD
        - MDL
        - MXN
        - MYR
        - NAD
        - NGN
        - NOK
        - NZD
        - OMR
        - PHP
        - PKR
        - PLN
        - QAR
        - RON
        - RSD
        - RUB
        - SAR
        - SEK
        - SGD
        - THB
        - TND
        - TRY
        - TWD
        - UAH
        - USD
        - UZS
        - VND
        - XOF
        - XPF
        - ZAR
    BookingLanguage:
      type: string
      enum:
        - ar
        - bg
        - ca
        - cs
        - da
        - de
        - el
        - en-gb
        - en-us
        - es
        - es-ar
        - es-mx
        - et
        - fi
        - fr
        - he
        - hi
        - hr
        - hu
        - id
        - is
        - it
        - ja
        - ko
        - lt
        - lv
        - ms
        - nl
        - 'no'
        - pl
        - pt-br
        - pt-pt
        - ro
        - ru
        - sk
        - sl
        - sr
        - sv
        - th
        - tl
        - tr
        - uk
        - vi
        - zh-cn
        - zh-tw
    BookingDestinationType:
      type: string
      enum:
        - CITY
        - REGION
        - DISTRICT
        - COUNTRY
        - AIRPORT
        - LANDMARK
        - HOTEL
        - THEME
        - LATLONG
    BookingSortOrder:
      type: string
      enum:
        - top_picks
        - business_top_picks
        - entire_homes_first
        - price_low_to_high
        - price_high_to_low
        - stars_high_to_low
        - stars_low_to_high
        - stars_and_price
        - best_reviewed_and_lowest_price
        - distance_from_center
        - top_reviewed
    BookingPropertyType:
      type: string
      enum:
        - apartment
        - hostel
        - hotel
        - motel
        - resort
        - bed_and_breakfast
        - ryokan
        - farm_stay
        - resort_village
        - villa
        - campground
        - boat
        - guest_house
        - condo_hotel
        - vacation_home
        - lodge
        - homestay
        - country_house
        - luxury_tent
        - capsule_hotel
        - love_hotel
        - riad
        - chalet
        - economy_hotel
        - cruise
        - student_accommodation
    BookingMinReviewScore:
      type: string
      enum:
        - pleasant_6
        - good_7
        - very_good_8
        - wonderful_9
    BookingStarRating:
      type: string
      enum:
        - '1'
        - '2'
        - '3'
        - '4'
        - '5'
    BookingMealPlan:
      type: string
      enum:
        - breakfast_included
        - all_meals_included
        - all_inclusive
        - breakfast_and_lunch
        - breakfast_and_dinner
        - kitchen_amenities
    BookingBedType:
      type: string
      enum:
        - twin_beds
        - double_bed
        - queen_bed
        - king_bed
    BookingTravelGroup:
      type: string
      enum:
        - pet_friendly
        - adults_only
        - lgbtq_friendly
    BookingBookingPolicy:
      type: string
      enum:
        - free_cancellation
        - book_without_credit_card
        - no_prepayment
    BookingPaymentOption:
      type: string
      enum:
        - online_payments
        - apple_pay
    BookingPropertyAmenity:
      type: string
      enum:
        - parking
        - restaurant
        - pet_friendly
        - room_service
        - meeting_or_banquet_facilities
        - bar
        - front_desk_24h
        - tennis_court
        - sauna
        - fitness_center
        - golf_course
        - garden
        - terrace
        - non_smoking_rooms
        - airport_shuttle
        - fishing
        - business_center
        - babysitting_or_child_services
        - laundry
        - dry_cleaning
        - continental_breakfast
        - facilities_for_disabled_guests
        - skiing
        - hair_or_beauty_salon
        - game_room
        - casino
        - breakfast_in_the_room
        - ironing_service
        - free_parking
        - internet
        - elevator
        - express_check_in_or_out
        - solarium
        - safe
        - valet_parking
        - currency_exchange
        - spa_and_wellness
        - massage
        - playground
        - pool_table
        - ping_pong
        - karaoke
        - windsurfing
        - darts
        - hot_tub
        - soundproof_rooms
        - bicycle_rental_paid
        - canoeing
        - hiking
        - chapel_or_shrine
        - bbq_facilities
        - packed_lunches
        - car_rental
        - cycling
        - bowling
        - tour_desk
        - turkish_or_steam_bath
        - heating
        - fax_or_photocopying
        - diving
        - horseback_riding
        - racquetball
        - snorkeling
        - baggage_storage
        - wifi
        - mini_golf
        - ski_storage
        - ski_school
        - hypoallergenic_room_available
        - indoor_pool
        - outdoor_pool
        - free_wifi
        - smoke_free_property
        - air_conditioning
        - designated_smoking_area
        - atm_on_site
        - private_beach
        - snack_bar
        - sun_deck
        - concierge
        - entertainment_staff
        - nightclub_or_dj
        - private_check_in_or_out
        - shuttle_service_free
        - shuttle_service_paid
        - ski_rental_on_site
        - ski_pass_vendor
        - ski_in_ski_out_access
        - special_diet_meals_on_request
        - suit_press
        - vending_machine_drinks
        - vending_machine_snacks
        - water_sports_facilities_on_site
        - hot_spring_bath
        - airport_shuttle_free
        - shared_kitchen
        - lockers
        - shared_lounge_or_tv_area
        - kids_club
        - convenience_store_on_site
        - beachfront
        - evening_entertainment
        - water_park
        - adults_only
        - daily_housekeeping
        - grocery_deliveries
        - parking_on_site
        - private_parking
        - misc_parking
        - wifi_in_all_areas
        - paid_wifi
        - open_air_bath
        - public_bath
        - waterslide
        - swimming_pool_toys
        - board_games_or_puzzles
        - indoor_play_area
        - outdoor_play_equipment_for_kids
        - baby_safety_gates
        - kids_meals
        - kid_friendly_buffet
        - street_parking
        - parking_garage
        - electric_vehicle_charging
        - public_transit_tickets
        - accessible_parking
        - wheelchair_accessible
        - toilet_with_grab_rails
        - raised_toilet
        - lowered_sink
        - bathroom_emergency_cord
        - rooftop_pool
        - infinity_pool
        - pool_with_view
        - heated_pool
        - saltwater_pool
        - plunge_pool
        - pool_or_beach_towels
        - pool_bar
        - shallow_end
        - pool_cover
        - wine_or_champagne
        - fruit
        - airport_pickup
        - airport_drop_off
        - visual_aids_braille
        - visual_aids_tactile_signs
        - auditory_guidance
        - strollers
        - tennis_equipment
        - badminton_equipment
        - pet_basket
        - pet_bowls
        - coffee_house_on_site
        - beach_chairs_or_loungers
        - beach_umbrellas
        - outdoor_furniture
        - fenced_pool
        - picnic_area
        - outdoor_fireplace
        - beauty_services
        - facial_treatments
        - waxing_services
        - makeup_services
        - hair_treatments
        - manicure
        - pedicure
        - haircut
        - hair_coloring
        - hairstyling
        - body_treatments
        - body_scrub
        - body_wrap
        - light_therapy
        - spa_facilities
        - steam_room
        - spa_lounge_or_relaxation_area
        - foot_bath
        - spa_or_wellness_packages
        - back_massage
        - neck_massage
        - foot_massage
        - couples_massage
        - head_massage
        - hand_massage
        - full_body_massage
        - massage_chair
        - fitness
        - yoga_classes
        - fitness_classes
        - personal_trainer
        - locker_rooms
        - kids_pool
        - beach
        - shuttle_service
        - breakfast_options
        - game_drives
        - temporary_art_galleries
        - bar_crawls
        - stand_up_comedy
        - movie_nights
        - walking_tours
        - bike_tours
        - themed_dinners
        - happy_hour
        - tour_or_class_about_local_culture
        - cooking_class
        - live_music_or_performance
        - live_sports_events_broadcast
        - archery
        - aerobics
        - bingo
        - security_24h
        - key_access
        - key_card_access
        - security_alarm
        - smoke_alarms
        - cctv_in_common_areas
        - cctv_outside_property
        - fire_extinguishers
        - bicycle_parking
        - laundry_room
        - ski_shuttle
        - bath_or_hot_spring
        - swimming_pool
        - guests_have_the_option_to_reuse_towels
        - carbon_monoxide_detector
        - carbon_monoxide_sources
        - key_card_or_motion_controlled_electricity_for_guests
        - bicycle_rental
        - guest_accommodation_disinfected_between_stays
        - guest_accommodation_sealed_after_cleaning
        - physical_distancing_in_dining_areas
        - food_can_be_delivered_to_guest_accommodation
        - first_aid_kits_available
        - contactless_check_in_or_out
        - cashless_payment_available
        - physical_distancing_rules_followed
        - mobile_app_for_room_service
        - invoice_provided
        - property_cleaned_by_professional_cleaning_companies
        - passport_or_id_info_collected_online_before_you_arrive
        - check_in_kiosk_in_the_lobby
        - lockbox_key_collection_at_the_property
        - lockbox_key_collection_near_the_property
        - digital_key_access
        - breakfast_to_go_containers
        - delivered_food_covered_securely
        - access_to_healthcare_professionals
        - thermometers_for_guests_provided_by_property
        - face_masks_for_guests_available
        - all_windows_are_double_glazed
        - offer_vegetarian_options_on_the_menu
    BookingRoomAmenity:
      type: string
      enum:
        - tea_or_coffee_maker
        - internet_facilities
        - minibar
        - shower
        - bath
        - safety_deposit_box
        - pay_per_view_channels
        - tv
        - telephone
        - fax
        - air_conditioning
        - hairdryer
        - wake_up_service_or_alarm_clock
        - hot_tub
        - iron
        - kitchenette
        - balcony
        - suit_press
        - bathrobe
        - spa_tub
        - radio
        - refrigerator
        - desk
        - shared_bathroom
        - ironing_facilities
        - seating_area
        - free_toiletries
        - dvd_player
        - cd_player
        - fan
        - toilet
        - microwave
        - dishwasher
        - washing_machine
        - video
        - video_games
        - patio
        - private_bathroom
        - extra_long_beds
        - heating
        - walk_in_closet
        - shared_toilet
        - slippers
        - satellite_channels
        - kitchen
        - wireless_internet
        - cable_channels
        - bath_or_shower
        - carpeted
        - fireplace
        - additional_toilet
        - interconnected_rooms
        - laptop_safe
        - flat_screen_tv
        - private_entrance
        - sofa
        - soundproofing
        - tile_or_marble_floor
        - view
        - hardwood_or_parquet_floors
        - wake_up_service
        - alarm_clock
        - dining_area
        - electric_kettle
        - executive_lounge_access
        - ipod_dock
        - kitchenware
        - mosquito_net
        - towels_or_sheets_extra_fee
        - sauna
        - private_pool
        - dryer
        - wardrobe_or_closet
        - oven
        - stovetop
        - toaster
        - barbecue
        - bidet
        - computer
        - ipad
        - game_console
        - game_console_xbox_360
        - game_console_ps2
        - game_console_ps3
        - game_console_nintendo_wii
        - sea_view
        - lake_view
        - garden_view
        - pool_view
        - mountain_view
        - landmark_view
        - laptop
        - hypoallergenic
        - cleaning_products
        - electric_blankets
        - additional_bathroom
        - blu_ray_player
        - coffee_machine
        - city_view
        - river_view
        - terrace
        - towels
        - linens
        - dining_table
        - childrens_high_chair
        - outdoor_furniture
        - outdoor_dining_area
        - entire_unit_located_on_ground_floor
        - upper_floors_by_elevator
        - upper_floors_by_stairs_only
        - entire_unit_wheelchair_accessible
        - detached
        - semi_detached
        - private_apartment_in_building
        - clothes_rack
        - fold_up_bed
        - drying_rack_for_clothing
        - toilet_paper
        - child_safety_socket_covers
        - board_games_or_puzzles
        - books_dvds_or_music_for_children
        - baby_safety_gates
        - sofa_bed
        - toilet_with_grab_rails
        - adapted_bath
        - roll_in_shower
        - walk_in_shower
        - raised_toilet
        - lower_sink
        - emergency_cord_in_bathroom
        - shower_chair
        - rooftop_pool
        - infinity_pool
        - pool_with_a_view
        - heated_pool
        - salt_water_pool
        - plunge_pool
        - pool_towels
        - shallow_end
        - pool_cover
        - wine_or_champagne
        - bottle_of_water
        - fruit
        - chocolate_or_cookies
        - trash_cans
        - wine_glasses
        - game_console_xbox_one
        - game_console_wii_u
        - game_console_ps4
        - cribs
        - toothbrush
        - shampoo
        - conditioner
        - body_soap
        - shower_cap
        - pajamas
        - yukata
        - socket_near_the_bed
        - adapter
        - feather_pillow
        - non_feather_pillow
        - hypoallergenic_pillow
        - accessible_by_elevator
        - inner_courtyard_view
        - quiet_street_view
        - mobile_hotspot_device
        - smartphone
        - streaming_service
        - lockers
        - smoke_alarm
        - fire_extinguisher
        - key_access
        - key_card_access
        - reading_light
        - earplugs
        - privacy_curtain
        - window
        - open_air_bath
        - tatami
        - carbon_monoxide_detector
        - carbon_monoxide_sources
        - air_purifiers
        - executive_lounge_breakfast
        - executive_lounge_all_day_snacks
        - executive_lounge_afternoon_snacks
        - executive_lounge_evening_snacks
        - free_spa_access
        - free_gym_access
        - executive_lounge_business_areas
        - access_to_private_pool
        - access_to_a_private_beach
        - executive_lounge_private_check_in
        - concierge_services
        - executive_lounge_newspapers
        - free_laundry_services
        - single_room_ac_for_guest_accommodation
        - hand_sanitizer
        - hearing_accessible
        - accessible_room
        - transfer_shower
        - coffee_or_tea_maker
        - kitchen_or_kitchenette
    BookingActivity:
      type: string
      enum:
        - tennis_court
        - sauna
        - fitness_center
        - golf_course
        - fishing
        - skiing
        - game_room
        - casino
        - solarium
        - spa_and_wellness_center
        - massage
        - playground
        - pool_table
        - ping_pong
        - karaoke
        - windsurfing
        - darts
        - hot_tub
        - bicycle_rental_paid
        - canoeing
        - hiking
        - cycling
        - bowling
        - turkish_or_steam_bath
        - diving
        - horseback_riding
        - racquetball
        - snorkeling
        - mini_golf
        - indoor_pool
        - private_beach
        - entertainment_staff
        - nightclub_or_dj
        - water_sports_facilities_on_site
        - hot_spring_bath
        - kids_club
        - evening_entertainment
        - water_park
        - open_air_bath
        - public_bath
        - tennis_equipment
        - badminton_equipment
        - beauty_services
        - facial_treatments
        - waxing_services
        - makeup_services
        - hair_treatments
        - manicure
        - pedicure
        - haircut
        - hair_coloring
        - hairstyling
        - body_treatments
        - body_scrub
        - body_wrap
        - light_therapy
        - spa_facilities
        - steam_room
        - spa_lounge_or_relaxation_area
        - foot_bath
        - spa_or_wellness_packages
        - back_massage
        - neck_massage
        - foot_massage
        - couples_massage
        - head_massage
        - hand_massage
        - full_body_massage
        - massage_chair
        - fitness
        - yoga_classes
        - fitness_classes
        - personal_trainer
        - locker_rooms
        - beach
        - game_drives
        - temporary_art_galleries
        - bar_crawls
        - stand_up_comedy
        - movie_nights
        - walking_tours
        - bike_tours
        - themed_dinners
        - tour_or_class_about_local_culture
        - cooking_class
        - live_music
        - live_sports_events_broadcast
        - archery
        - aerobics
        - bingo
        - bath_or_hot_spring
        - bicycle_rental
    BookingPropertyAccessibility:
      type: string
      enum:
        - toilet_with_grab_rails
        - raised_toilet
        - lowered_sink
        - bathroom_emergency_cord
        - visual_aids_braille
        - visual_aids_tactile_signs
        - auditory_guidance
    BookingRoomAccessibility:
      type: string
      enum:
        - ground_floor_unit
        - upper_floors_by_elevator
        - entire_unit_wheelchair_accessible
        - toilet_with_grab_rails
        - adapted_bath
        - roll_in_shower
        - walk_in_shower
        - raised_toilet
        - lower_sink
        - bathroom_emergency_cord
        - shower_chair
    BookingReviewScore:
      properties:
        '@type':
          type: string
          default: BookingReviewScore
        score:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        label:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    BookingPrice:
      properties:
        '@type':
          type: string
          default: BookingPrice
        amount:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        formatted:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````